Subject: Re: bug#53964: [PATCH 0/4] Build nhc98 and ghc@4 with regular dependencies

From: Ludovic Courtès <[email-masked]>
Date: Mon, 14 Feb 2022 12:22:54 +0100

Ludovic Courtès <[email-masked]> skribis:

> Maxime Devos <[email-masked]> skribis:
>
>> Ludovic Courtès schreef op za 12-02-2022 om 22:45 [+0100]:
>>> +           #:tests? #f
>>
>> Why are tests disabled here?
>
> That’s the same for all the GCC variants, including ‘gcc-core-mesboot0’,
> which was the inspiration for this one.  I think the main reason is that
> “it’s difficult” (there’s a dependency on DejaGNU, the fact that you
> cannot expect all tests to pass, and the fact that many tests would
> probably need to be adjusted.)

So I tried out of curiosity and was surprised to see that ‘make check’
succeeds!  It’s not entirely clear how many tests were run though since
DejaGNU isn’t very talkative:

--8<---------------cut here---------------start------------->8---
Test run by nixbld on Mon Feb 14 11:21:04 2022
Native configuration is i686-unknown-linux-gnu
Test run by nixbld on Mon Feb 14 11:21:04 2022

		=== gcc tests ===

Native configuration is i686-unknown-linux-gnu

		=== g77 tests ===

Schedule of variations:
WARNING: Couldn't find tool init file
    unix

[...]

		=== g++ Summary ===

make[1]: Leaving directory '/tmp/guix-build-gcc-2.95.3.drv-0/gcc-2.95.3/gcc'
/gnu/store/7s2zlc4r9wqvlh9x2gqmzm4lnmbsdzmn-bash-minimal-5.1.8/bin/sh ./regress-demangle ./demangle-expected
All 616 tests passed
make[2]: Leaving directory '/tmp/guix-build-gcc-2.95.3.drv-0/gcc-2.95.3/libiberty/testsuite'
make[1]: Leaving directory '/tmp/guix-build-gcc-2.95.3.drv-0/gcc-2.95.3/libiberty'
--8<---------------cut here---------------end--------------->8---

Anyway, it can’t hurt.

I also found that building in parallel is reliable enough.

Ludo’.